{% if pagination.pages is not empty %}
    <nav class="pagination-block">
        <ul class="pagination">

            {# First #}
            {% if pagination.pages|first and pagination.pages|first.current != true %}
                <li class="first btn">
                    <a href="{{ pagination.pages|first.link }}">Erste Seite</a>
                </li>
            {% else %}
                <li class="first btn disabled">
                    <a href="#" disabled>Erste Seite</a>
                </li>
            {% endif %}

            {# Previous #}
            {% if pagination.prev %}
                <li class="prev btn">
                    <a href="{{ pagination.prev.link }}">Zurück</a>
                </li>
            {% else %}
                <li class="prev btn disabled">
                    <a href="#" disabled>Zurück</a>
                </li>
            {% endif %}

            {# Pages #}
            <li>
                <ul class="pages">
                    {% for page in pagination.pages %}
                        {% if page.link %}
                            <li>
                                <a href="{{ page.link }}" class="{{ page.class }}">{{ page.title }}</a>
                            </li>
                        {% else %}
                            <li class="current">
                                <span class="{{ page.class }}">{{ page.title }}</span>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
            </li>

            {# Next #}
            {% if pagination.next %}
                <li class="next btn">
                    <a href="{{ pagination.next.link }}">Weiter</a>
                </li>
            {% else %}
                <li class="next btn disabled">
                    <a href="#" disabled>Weiter</a>
                </li>
            {% endif %}

            {# Last #}
            {% if pagination.pages|last and pagination.pages|last.current != true %}
                <li class="last btn">
                    <a href="{{ pagination.pages|last.link }}">Letzte Seite</a>
                </li>
            {% else %}
                <li class="last btn disabled">
                    <a href="#" disabled>Letzte Seite</a>
                </li>
            {% endif %}

        </ul>
    </nav>
{% endif %}
